<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMOUTPUTEditView9Base from './emoutputedit-view9-base.vue';

import view_form from '@widgets/emoutput/main2-form/main2-form.vue';

/**
 * 能力信息
 *
 * @export
 * @class EMOUTPUTEditView9
 * @extends {EMOUTPUTEditView9Base}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMOUTPUTEditView9 extends EMOUTPUTEditView9Base { }
</script>